# EXPORT : functions ending by export are called from xml
# CRON : functions ending by cron are called from timer
# SCHEDULE : functions ending by schedule are called from cron



# ==============
# DME Selector
# ==============

# DME

dmeschedule = func{
   brgmode=getprop("/instrumentation/navcomputer/brg-switch-position");
   inrange="false";
   distance=999.9;
   bearing=0;
   heading=0;
   if(brgmode == 1){
       inrange=getprop("/instrumentation/dme/in-range");
       if(inrange){distance=getprop("/instrumentation/dme/indicated-distance-nm");};
       bearing=getprop("/instrumentation/nav/radials/reciprocal-radial-deg");
   }
   if(brgmode == 2){
       inrange=getprop("/instrumentation/tacan/in-range");
       if(inrange){distance=getprop("/instrumentation/tacan/indicated-distance-nm");};
       bearing=getprop("/instrumentation/tacan/indicated-bearing-true-deg")-getprop("/environment/magnetic-variation-deg");
   }
   if(brgmode == 3){
       inrange=getprop("/instrumentation/tacan/in-range");
       if(inrange){distance=getprop("/instrumentation/tacan/indicated-distance-nm");};
       bearing=getprop("/instrumentation/adf/indicated-bearing-deg");
       heading=getprop("/orientation/heading-magnetic-deg[0]");
       bearing=bearing+heading;
   }
   if(brgmode == 4){
       inrange=getprop("/instrumentation/tacan/in-range");
       if(inrange){distance=getprop("/instrumentation/tacan/indicated-distance-nm");};
       bearing=getprop("/instrumentation/nav/radials/reciprocal-radial-deg");
   }
   setprop("/instrumentation/navcomputer/in-range", inrange);
   setprop("/instrumentation/navcomputer/indicated-bearing", bearing);
   setprop("/instrumentation/navcomputer/indicated-distance-nm", distance);

}


